import SR6BaseItemData from '../base-item-data.mjs';

export default class SR6SpritepowerItemData extends SR6BaseItemData {
    static defineSchema() {
        const fields = foundry.data.fields;
        return {
            ...super.defineSchema(),
            duration:    new fields.StringField({ initial: "sustained" }),
            isSustained: new fields.BooleanField({ initial: false }),
            skill:       new fields.StringField({ initial: "" }),
            skillSpec:   new fields.StringField({ initial: "" }),
            oppAttr1:    new fields.StringField({ initial: "" }),
            oppAttr2:    new fields.StringField({ initial: "" })
        };
    }
}